# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes

# vl::FBOStencilBufferAttachment Class Reference

A stencil renderbuffer to be attached to a FBORenderTarget. More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOStencilBufferAttachment:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| FBOStencilBufferAttachment (EStencilBufferFormat type)
| Constructor.
void | setType (EStencilBufferFormat type)
| The type to specify when allocating the renderbuffer storage.
EStencilBufferFormat | type () const
| The type to specify when allocating the renderbuffer storage.

## Protected Member Functions

virtual int | internalType ()

## Protected Attributes

EStencilBufferFormat | mType

## Detailed Description

A stencil renderbuffer to be attached to a FBORenderTarget.

Definition at line 245 of file FramebufferObject.hpp.

## Constructor & Destructor Documentation

vl::FBOStencilBufferAttachment::FBOStencilBufferAttachment | ( | EStencilBufferFormat | type ) | `[inline]`

Constructor.

Definition at line 251 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::FBOStencilBufferAttachment::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::FBORenderbufferAttachment.

Definition at line 248 of file FramebufferObject.hpp.

void vl::FBOStencilBufferAttachment::setType | ( | EStencilBufferFormat | type ) | `[inline]`

The type to specify when allocating the renderbuffer storage.

Definition at line 258 of file FramebufferObject.hpp.

EStencilBufferFormat vl::FBOStencilBufferAttachment::type | ( | ) | const`[inline]`

The type to specify when allocating the renderbuffer storage.

Definition at line 261 of file FramebufferObject.hpp.

virtual int vl::FBOStencilBufferAttachment::internalType | ( | ) | `[inline, protected, virtual]`

Implements vl::FBORenderbufferAttachment.

Definition at line 264 of file FramebufferObject.hpp.

## Member Data Documentation

EStencilBufferFormat vl::FBOStencilBufferAttachment::mType`[protected]`

Definition at line 267 of file FramebufferObject.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:40.
Permission is granted to use this page to write and publish articles regarding Visualization Library.